org.apache.struts2.jasper.el

## Class ELContextWrapper

- java.lang.Object
- - javax.el.ELContext
  - - org.apache.struts2.jasper.el.ELContextWrapper

-     public final class ELContextWrapper
      extends javax.el.ELContext

  Simple ELContextWrapper for runtime evaluation of EL w/ dynamic FunctionMappers
  Author:
    jhook

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ELContextWrapper(javax.el.ELContext target, javax.el.FunctionMapper fnMapper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getContext(Class key)`
    `javax.el.ELResolver` | `getELResolver()`
    `javax.el.FunctionMapper` | `getFunctionMapper()`
    `Locale` | `getLocale()`
    `javax.el.VariableMapper` | `getVariableMapper()`
    `boolean` | `isPropertyResolved()`
    `void` | `putContext(Class key, Object contextObject)`
    `void` | `setLocale(Locale locale)`
    `void` | `setPropertyResolved(boolean resolved)`

    - ### Methods inherited from class javax.el.ELContext

      `addEvaluationListener, convertToType, enterLambdaScope, exitLambdaScope, getEvaluationListeners, getImportHandler, getLambdaArgument, isLambdaArgument, notifyAfterEvaluation, notifyBeforeEvaluation, notifyPropertyResolved, setPropertyResolved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ELContextWrapper

          public ELContextWrapper(javax.el.ELContext target,
                                  javax.el.FunctionMapper fnMapper)

  - ### Method Detail

    - #### getELResolver

          public javax.el.ELResolver getELResolver()

      Specified by:
        `getELResolver` in class `javax.el.ELContext`

    - #### getFunctionMapper

          public javax.el.FunctionMapper getFunctionMapper()

      Specified by:
        `getFunctionMapper` in class `javax.el.ELContext`

    - #### getVariableMapper

          public javax.el.VariableMapper getVariableMapper()

      Specified by:
        `getVariableMapper` in class `javax.el.ELContext`

    - #### getContext

          public Object getContext(Class key)

      Overrides:
        `getContext` in class `javax.el.ELContext`

    - #### getLocale

          public Locale getLocale()

      Overrides:
        `getLocale` in class `javax.el.ELContext`

    - #### isPropertyResolved

          public boolean isPropertyResolved()

      Overrides:
        `isPropertyResolved` in class `javax.el.ELContext`

    - #### putContext

          public void putContext(Class key,
                                 Object contextObject)
                          throws NullPointerException

      Overrides:
        `putContext` in class `javax.el.ELContext`
      Throws:
        `NullPointerException`

    - #### setLocale

          public void setLocale(Locale locale)

      Overrides:
        `setLocale` in class `javax.el.ELContext`

    - #### setPropertyResolved

          public void setPropertyResolved(boolean resolved)

      Overrides:
        `setPropertyResolved` in class `javax.el.ELContext`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.